Bug 812038 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bhagenow_40fireproofmatches_2ecom at 0x2c1bd50>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:62509b848c5ace55242b2af00de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 11:19 EDT by Brooks
Modified: 2013-02-13 05:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:44:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brooks 2012-04-12 11:19:56 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.1-3.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bhagenow_40fireproofmatches_2ecom at 0x2c1bd50>
time:           Thu 12 Apr 2012 10:05:18 AM CDT
uid:            500

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bhagenow_40fireproofmatches_2ecom at 0x2c1bd50>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bhagenow_40fireproofmatches_2ecom at 0x2c1bd50>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x2c1b910>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/bhagenow_40fireproofmatches_2ecom at 0x2c1bd50>

smolt_data:
:
:
:General
:=================================
:UUID: 79063da9-2b56-4cac-bee6-7a42290e354c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4388.28
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6600  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 3922
:System Swap: 5983
:Vendor: Sony Corporation
:System: VGN-FW510F C602KJSJ
:Form factor: Notebook
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4523:17251:4173:36917) pci, sky2, ETHERNET, 88E8055 PCI-E Gigabit Ethernet Controller
:(32902:10816:4173:36917) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4173:36917) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4173:36917) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4173:36917) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4173:36917) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:9288:4173:36917) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4480:2098:4173:36917) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4173:36917) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10549:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4173:36917) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4173:36917) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10566:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4173:36917) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:16946:32902:4865) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10551:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43576:4173:36917) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38016:4173:36917) pci, radeon, VIDEO, M96 [Mobility Radeon HD 4650]
:(4480:1426:4173:36917) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_brooks-lv_root / ext4 4096 4096 13081819 6833700 6178340 3276800 2762794 2762794
:/dev/sda5 /boot ext4 1024 1024 508745 410565 384965 128016 127766 127766
:/dev/mapper/vg_brooks-lv_home /home ext4 4096 4096 37919401 15912886 14014390 9494528 9388150 9388150
:
Comment 1 Fedora End Of Life 2013-01-16 06:25:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:44:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.